orm

## Class ProfesorSetCollection

- java.lang.Object
- - org.orm.util.ORMSet
  - - orm.ProfesorSetCollection

All Implemented Interfaces:
  java.io.Serializable

    public class ProfesorSetCollection
    extends org.orm.util.ORMSet

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.orm.util.ORMSet

`_ownerAdapter`

### Constructor Summary

Constructors
Constructor and Description
`ProfesorSetCollection(java.lang.Object owner, org.orm.util.ORMAdapter adapter, int ownerKey, int collType)`
`ProfesorSetCollection(java.lang.Object owner, org.orm.util.ORMAdapter adapter, int ownerKey, int targetKey, int collType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Profesor value)` Add the specified persistent object to ORMSet
`boolean` `contains(Profesor value)` Return true if ORMSet contains the specified persistent object
`java.util.Iterator` `getIterator()` Return an iterator over the persistent objects
`protected org.orm.PersistentManager` `getPersistentManager()`
`void` `remove(Profesor value)` Remove the specified persistent object from ORMSet
`Profesor[]` `toArray()` Return an array containing all of the persistent objects in ORMSet
`Profesor[]` `toArray(java.lang.String propertyName)` Return an sorted array containing all of the persistent objects in ORMSet
`Profesor[]` `toArray(java.lang.String propertyName, boolean ascending)` Return an sorted array containing all of the persistent objects in ORMSet

### Methods inherited from class org.orm.util.ORMSet

`add, clear, contains, getCollection, getIterator, isEmpty, remove, size, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProfesorSetCollection

    public ProfesorSetCollection(java.lang.Object owner,
                                 org.orm.util.ORMAdapter adapter,
                                 int ownerKey,
                                 int targetKey,
                                 int collType)

#### ProfesorSetCollection

    public ProfesorSetCollection(java.lang.Object owner,
                                 org.orm.util.ORMAdapter adapter,
                                 int ownerKey,
                                 int collType)

### Method Detail

#### getIterator

    public java.util.Iterator getIterator()

Return an iterator over the persistent objects

Returns:
  The persistent objects iterator

#### add

    public void add(Profesor value)

Add the specified persistent object to ORMSet

Parameters:
  `value` - the persistent object

#### remove

    public void remove(Profesor value)

Remove the specified persistent object from ORMSet

Parameters:
  `value` - the persistent object

#### contains

    public boolean contains(Profesor value)

Return true if ORMSet contains the specified persistent object

Parameters:
  `value` - the persistent object
Returns:
  True if this contains the specified persistent object

#### toArray

    public Profesor[] toArray()

Return an array containing all of the persistent objects in ORMSet

Returns:
  The persistent objects array

#### toArray

    public Profesor[] toArray(java.lang.String propertyName)

Return an sorted array containing all of the persistent objects in ORMSet

Parameters:
  `propertyName` - Name of the property for sorting:
  - id_pk
  - nombre
  - rut
Returns:
  The persistent objects sorted array

#### toArray

    public Profesor[] toArray(java.lang.String propertyName,
                              boolean ascending)

Return an sorted array containing all of the persistent objects in ORMSet

Parameters:
  `propertyName` - Name of the property for sorting:
  - id_pk
  - nombre
  - rut
  `ascending` - true for ascending, false for descending
Returns:
  The persistent objects sorted array

#### getPersistentManager

    protected org.orm.PersistentManager getPersistentManager()
                                                      throws org.orm.PersistentException

Specified by:
  `getPersistentManager` in class `org.orm.util.ORMSet`
Throws:
  `org.orm.PersistentException`